> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mosey.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create A Hosted Signup Session



## OpenAPI

````yaml /openapi_v2.json post /v2/signup/session
openapi: 3.1.0
info:
  title: Mosey API
  description: If you'd like to use the Mosey API, please contact sales@mosey.com.
  version: V2
  x-logo:
    url: null
servers: []
security: []
paths:
  /v2/signup/session:
    post:
      summary: Create A Hosted Signup Session
      operationId: Create_a_Hosted_Signup_Session_v2_signup_session_post
      parameters:
        - name: authorization
          in: header
          required: false
          schema:
            type: string
            title: Authorization
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/HostedSignupRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HostedSignupResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    HostedSignupRequest:
      properties:
        business_name:
          type: string
          title: Business Name
        user_email:
          type: string
          title: User Email
        callback_url:
          type: string
          title: Callback Url
        legal_entity_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Legal Entity Id
        business_information:
          anyOf:
            - $ref: '#/components/schemas/HostedSignupRequestBusinessInformation'
            - type: 'null'
        external_company_id:
          anyOf:
            - type: string
            - type: 'null'
          title: External Company Id
      type: object
      required:
        - business_name
        - user_email
        - callback_url
      title: HostedSignupRequest
    HostedSignupResponse:
      properties:
        url:
          type: string
          title: Url
          description: >-
            This is a session scoped URL which allows users to completed the
            signup process.
        created_at:
          type: string
          title: Created At
        expires_at:
          type: string
          title: Expires At
        legal_entity_id:
          type: string
          title: Legal Entity Id
      type: object
      required:
        - url
        - created_at
        - expires_at
        - legal_entity_id
      title: HostedSignupResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    HostedSignupRequestBusinessInformation:
      properties:
        incorporation_region:
          anyOf:
            - $ref: '#/components/schemas/StateCode'
            - type: 'null'
        entity_type:
          anyOf:
            - $ref: '#/components/schemas/EntityTypeEnum'
            - type: 'null'
        tax_classification:
          anyOf:
            - $ref: '#/components/schemas/TaxClassEnum'
            - type: 'null'
        llc_managed_type:
          anyOf:
            - $ref: '#/components/schemas/LLCManagedTypeEnum'
            - type: 'null'
        business_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Business Name
        business_purpose:
          anyOf:
            - type: string
            - type: 'null'
          title: Business Purpose
        ein:
          anyOf:
            - type: string
            - type: 'null'
          title: Ein
        incorporation_date:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Incorporation Date
        naics_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Naics Code
        accounting_method:
          anyOf:
            - $ref: '#/components/schemas/AccountingMethod'
            - type: 'null'
        accounting_period:
          anyOf:
            - $ref: '#/components/schemas/AccountingPeriod'
            - type: 'null'
        accounting_year_end:
          anyOf:
            - $ref: '#/components/schemas/AccountingYearEndMonthNumber'
            - type: 'null'
        futa_liability_year:
          anyOf:
            - type: string
            - type: 'null'
          title: Futa Liability Year
      type: object
      title: HostedSignupRequestBusinessInformation
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    StateCode:
      type: string
      enum:
        - AL
        - AK
        - AZ
        - AR
        - CA
        - CO
        - CT
        - DE
        - DC
        - FL
        - GA
        - HI
        - ID
        - IL
        - IN
        - IA
        - KS
        - KY
        - LA
        - ME
        - MD
        - MA
        - MI
        - MN
        - MS
        - MO
        - MT
        - NE
        - NV
        - NH
        - NJ
        - NM
        - NY
        - NC
        - ND
        - OH
        - OK
        - OR
        - PA
        - RI
        - SC
        - SD
        - TN
        - TX
        - UT
        - VT
        - VA
        - WA
        - WV
        - WI
        - WY
      title: StateCode
    EntityTypeEnum:
      type: string
      enum:
        - unset
        - c_corp
        - p_corp
        - pllc
        - llc
        - llp
        - lp
        - gp
      title: EntityTypeEnum
    TaxClassEnum:
      type: string
      enum:
        - unset
        - corp
        - s_corp
        - partnership
        - disregarded
        - tax_exempt
      title: TaxClassEnum
      description: >-
        The IRS tax classification for an entity.


        In some circumstances, a company can elect to be treated different

        from the entity type for tax purposes. For example, an LLC can

        elect to be taxed as a corporation.

        - Corp: taxed as a corporation, the default for C Corps

        - S Corp: election using IRS Form 2553

        - Partnership: taxed as a partnership, the default for LPs

        - Disregarded: taxes pass through to the members, default for LLCs

        - Tax Exempt: an entity that is recognized by the IRS as being exempt
        from paying federal income taxes on its earnings
    LLCManagedTypeEnum:
      type: string
      enum:
        - member_managed
        - manager_managed
      title: LLCManagedTypeEnum
    AccountingMethod:
      type: string
      enum:
        - accrual
        - cash
      title: AccountingMethod
    AccountingPeriod:
      type: string
      enum:
        - fiscal
        - calendar
      title: AccountingPeriod
    AccountingYearEndMonthNumber:
      type: integer
      enum:
        - 1
        - 2
        - 3
        - 4
        - 5
        - 6
        - 7
        - 8
        - 9
        - 10
        - 11
        - 12
      title: AccountingYearEndMonthNumber

````